com.singularsys.jep

## Class OperatorTable2

- java.lang.Object
- - com.singularsys.jep.EmptyOperatorTable
  - - com.singularsys.jep.OperatorTable2

- All Implemented Interfaces:
    JepComponent, OperatorTableI, java.io.Serializable
  Direct Known Subclasses:
    NullWrappedOperatorTable, StandardOperatorTable2

      public class OperatorTable2
      extends EmptyOperatorTable

  The basic set of operators provided as standard by Jep. Provides the logic but does not specify the actual implementations which is done by `StandardOperatorTable2`
  Author:
    Richard Morris
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OperatorTable2.BasicOperators` The basic arithmetic comparative and logical operators
    `static class` | `OperatorTable2.PsudoOperators` Operators which do not correspond to
    `static class` | `OperatorTable2.SpecialOperators` Special purpose operators

    - ### Nested classes/interfaces inherited from class com.singularsys.jep.EmptyOperatorTable

      `EmptyOperatorTable.OperatorKey`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperatorTable2()`
    `OperatorTable2(OperatorTable2 oldTable)` Decorator constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Operator` | `getAdd()` Returns the operator used for addition.
    `Operator` | `getAnd()`
    `Operator` | `getAssign()`
    `Operator` | `getCross()`
    `Operator` | `getDivide()`
    `Operator` | `getDot()`
    `Operator` | `getEle()`
    `Operator` | `getEQ()`
    `Operator` | `getGE()`
    `Operator` | `getGT()`
    `Operator` | `getLE()`
    `Operator` | `getList()`
    `Operator` | `getLT()`
    `Operator` | `getMod()`
    `Operator` | `getMultiply()`
    `Operator` | `getNE()`
    `Operator` | `getNop()`
    `Operator` | `getNot()`
    `Operator` | `getOr()`
    `Operator` | `getPower()`
    `Operator` | `getRange()`
    `Operator` | `getSubtract()`
    `Operator` | `getUDivide()` unary division i.e. 1/x or x^(-1) *
    `Operator` | `getUMinus()`
    `Operator` | `getUPlus()`

    - ### Methods inherited from class com.singularsys.jep.EmptyOperatorTable

      `addOperator, addOperator, appendOperator, entrySet, getKey, getLightWeightInstance, getNumOps, getOperator, getOperators, getOperatorsByName, getOperatorsBySymbol, init, insertOperator, keySet, removeOperator, removeOperator, replaceOperator, replaceOperator, setBinaryInverseOp, setDistributiveOver, setGroupOperatorRelations, setGroupOperatorRelations, setInverseOp, setPrecedenceTable, setRootOp, setStandardOperatorRelations, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OperatorTable2

          public OperatorTable2()

    - #### OperatorTable2

          public OperatorTable2(OperatorTable2 oldTable)

      Decorator constructor. The new class will share the same internal table as its argument.
      Parameters:
        `oldTable` -

  - ### Method Detail

    - #### getNop

          public Operator getNop()

      Specified by:
        `getNop` in interface `OperatorTableI`
      Overrides:
        `getNop` in class `EmptyOperatorTable`

    - #### getAdd

          public Operator getAdd()

      Description copied from class: `EmptyOperatorTable`
      Returns the operator used for addition.
      Specified by:
        `getAdd` in interface `OperatorTableI`
      Overrides:
        `getAdd` in class `EmptyOperatorTable`

    - #### getSubtract

          public Operator getSubtract()

      Specified by:
        `getSubtract` in interface `OperatorTableI`
      Overrides:
        `getSubtract` in class `EmptyOperatorTable`

    - #### getUMinus

          public Operator getUMinus()

      Specified by:
        `getUMinus` in interface `OperatorTableI`
      Overrides:
        `getUMinus` in class `EmptyOperatorTable`

    - #### getUPlus

          public Operator getUPlus()

      Specified by:
        `getUPlus` in interface `OperatorTableI`
      Overrides:
        `getUPlus` in class `EmptyOperatorTable`

    - #### getMultiply

          public Operator getMultiply()

      Specified by:
        `getMultiply` in interface `OperatorTableI`
      Overrides:
        `getMultiply` in class `EmptyOperatorTable`

    - #### getDivide

          public Operator getDivide()

      Specified by:
        `getDivide` in interface `OperatorTableI`
      Overrides:
        `getDivide` in class `EmptyOperatorTable`

    - #### getMod

          public Operator getMod()

      Specified by:
        `getMod` in interface `OperatorTableI`
      Overrides:
        `getMod` in class `EmptyOperatorTable`

    - #### getUDivide

          public Operator getUDivide()

      unary division i.e. 1/x or x^(-1) *
      Specified by:
        `getUDivide` in interface `OperatorTableI`
      Overrides:
        `getUDivide` in class `EmptyOperatorTable`

    - #### getPower

          public Operator getPower()

      Specified by:
        `getPower` in interface `OperatorTableI`
      Overrides:
        `getPower` in class `EmptyOperatorTable`

    - #### getGT

          public Operator getGT()

      Specified by:
        `getGT` in interface `OperatorTableI`
      Overrides:
        `getGT` in class `EmptyOperatorTable`

    - #### getLT

          public Operator getLT()

      Specified by:
        `getLT` in interface `OperatorTableI`
      Overrides:
        `getLT` in class `EmptyOperatorTable`

    - #### getEQ

          public Operator getEQ()

      Specified by:
        `getEQ` in interface `OperatorTableI`
      Overrides:
        `getEQ` in class `EmptyOperatorTable`

    - #### getLE

          public Operator getLE()

      Specified by:
        `getLE` in interface `OperatorTableI`
      Overrides:
        `getLE` in class `EmptyOperatorTable`

    - #### getGE

          public Operator getGE()

      Specified by:
        `getGE` in interface `OperatorTableI`
      Overrides:
        `getGE` in class `EmptyOperatorTable`

    - #### getNE

          public Operator getNE()

      Specified by:
        `getNE` in interface `OperatorTableI`
      Overrides:
        `getNE` in class `EmptyOperatorTable`

    - #### getAnd

          public Operator getAnd()

      Specified by:
        `getAnd` in interface `OperatorTableI`
      Overrides:
        `getAnd` in class `EmptyOperatorTable`

    - #### getOr

          public Operator getOr()

      Specified by:
        `getOr` in interface `OperatorTableI`
      Overrides:
        `getOr` in class `EmptyOperatorTable`

    - #### getNot

          public Operator getNot()

      Specified by:
        `getNot` in interface `OperatorTableI`
      Overrides:
        `getNot` in class `EmptyOperatorTable`

    - #### getAssign

          public Operator getAssign()

      Specified by:
        `getAssign` in interface `OperatorTableI`
      Overrides:
        `getAssign` in class `EmptyOperatorTable`

    - #### getDot

          public Operator getDot()

      Specified by:
        `getDot` in interface `OperatorTableI`
      Overrides:
        `getDot` in class `EmptyOperatorTable`

    - #### getCross

          public Operator getCross()

      Specified by:
        `getCross` in interface `OperatorTableI`
      Overrides:
        `getCross` in class `EmptyOperatorTable`

    - #### getList

          public Operator getList()

      Specified by:
        `getList` in interface `OperatorTableI`
      Overrides:
        `getList` in class `EmptyOperatorTable`

    - #### getEle

          public Operator getEle()

      Specified by:
        `getEle` in interface `OperatorTableI`
      Overrides:
        `getEle` in class `EmptyOperatorTable`

    - #### getRange

          public Operator getRange()

      Specified by:
        `getRange` in interface `OperatorTableI`
      Overrides:
        `getRange` in class `EmptyOperatorTable`

Copyright © 2018 Singular Systems http://www.singularsys.com/jep